AutoCAD Crashes when using snap helps with blocks

Discussion in 'AutoCAD' started by diAb0Lo, May 17, 2004.

  1. diAb0Lo

    diAb0Lo Guest

    I've got a problem working with VBA. I load AutoCAD from a VB application designed by myself. When i try to use snap object to make things easy like moving , rotating blocks, etc. AutoCAD crashes. why does this occurs?
     
    diAb0Lo, May 17, 2004
    #1
  2. diAb0Lo

    thenrich Guest

    Let see this code - 'you designed yourself'
     
    thenrich, May 17, 2004
    #2
  3. diAb0Lo

    diAb0Lo Guest

    Thanks for your help, fool
     
    diAb0Lo, May 18, 2004
    #3
  4. Hi,

    You ask a question with a minimum of a hundred billion possible answers.

    You get an offer of help and reject it.

    It's quite clear from your alias that you simply trying to be a nuisance.

    --

    Regards


    Laurie Comerford
    www.cadapps.com.au
     
    Laurie Comerford, May 18, 2004
    #4
  5. diAb0Lo

    thenrich Guest

    yea, I can't say as though I've ever had a response like that - not on this site anyway. Maybe a spirted debate every now and then with valid points being brought up by both paties but never anything childish and malicious as posted above. I'm not sure what your after but I think you'll find most people that belong to this forum are above such things and won't be baited into a pissing match.

    regards
     
    thenrich, May 18, 2004
    #5
  6. diAb0Lo

    bcoward Guest

    It seems the obvious problm is a "chair 2 keyboard" interface problem. IDispatch seems to have been impelemented to Imouth instead of the vTable.

    Just .02

    Regards,

    Bob Coward
    CADS, Inc

    800-366-0946
     
    bcoward, May 18, 2004
    #6
  7. I'm not defending this guy Diabolo, but the response he got from you:

    Let see this code - 'you designed yourself'

    I would say it sounds more like a challenge than a helpful reply.
    I'd say you had it coming, but judging by the answer this Diabolo guy seems
    very polite.
    --
    Saludos,
    Ing. Jorge Jimenez
    SICAD S.A., Costa Rica

    this site anyway. Maybe a spirted debate every now and then with valid
    points being brought up by both paties but never anything childish and
    malicious as posted above. I'm not sure what your after but I think you'll
    find most people that belong to this forum are above such things and won't
    be baited into a pissing match.
     
    Jorge Jimenez, May 18, 2004
    #7
  8. diAb0Lo

    diAb0Lo Guest

    Ok i will try to explain what my VB application exactly does. It opens AutoCAD and create toolbars to insert some blocks. In some cases, when i try to insert any block using some snap object helps, AutoCAD crashes. Why?
     
    diAb0Lo, May 19, 2004
    #8
  9. diAb0Lo

    diAb0Lo Guest

    Another question, I'd like to know if possible how to render a drawing using VBA
     
    diAb0Lo, May 19, 2004
    #9
  10. diAb0Lo

    wivory Guest

    Here's a cutdown version of a routine I have for rendering. I don't have time to go into detailed explanations, but most of this stuff was told to me on this forum so you should be able to Google for it. In general see the Help for the matlib and rmat commands.
    [pre]
    Private Sub ApplyMaterials()
    ThisDrawing.SendCommand "(if (not (member ""acrender.arx"" (arx))) (arxload ""acrender.arx""))" & vbCr ' Load
    ThisDrawing.SendCommand "(c:matlib ""I"" ""BROWN BRICK"" """ & Replace(Application.Path, "\", "/") & "/Support/render.mli"")" & vbCr ' Import
    ThisDrawing.SendCommand "(c:rmat ""M"" ""BROWN BRICK"" ""STANDARD"" nil nil '(""BRNBRICK.TGA"" nil nil (960.0 540.0)))" & vbCr ' Modify
    ThisDrawing.SendCommand "(c:rmat ""A"" ""BROWN BRICK"" 16)" & vbCr ' Attach
    ThisDrawing.SendCommand "(c:rmat ""N"" ""SPECIAL"" ""STANDARD"" nil nil '(""MyCreation.bmp"" 1.0 nil (2000.0 2000.0)))" & vbCr ' New
    ThisDrawing.SendCommand "(c:rmat ""A"" ""SPECIAL"" ""Batten"")" & vbCr ' Attach
    End Sub
    [/pre]
    Regards

    Wayne Ivory
    IT Analyst Programmer
    Wespine Industries Pty Ltd
     
    wivory, May 19, 2004
    #10
  11. diAb0Lo

    thenrich Guest

    All I did was ask to see his code - in his words....
     
    thenrich, May 19, 2004
    #11
  12. diAb0Lo

    Kevin Terry Guest

    I think you're going to have to post some of your code in order for anyone
    to see what might be causing the crash. In particular the section you're
    referring to when you say "snap object helps"

    thanks,
    Kevin

    AutoCAD and create toolbars to insert some blocks. In some cases, when i try
    to insert any block using some snap object helps, AutoCAD crashes. Why?
     
    Kevin Terry, May 20, 2004
    #12
  13. diAb0Lo

    diAb0Lo Guest

    i mean OSNAP points. You'll see I have an application which executes AutoCAD. This application creates toolbars for inserting blocks. These blocks are .DWG files, but i need attributes, so i create a new block called NAMEFILE + "TEMP". When i try to build a project (a lot of blocks) and i use the OSNAP points like midpoint, endpoint, etc... AutoCAD crashes. It just occurs when I execute ACAD from my application. I realize that if i open AutoCAD normally, and use the project file (DWG) nothing happens.
    What could be happening?
     
    diAb0Lo, May 20, 2004
    #13
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.